import request from '@/utils/request'

// 查询客户转移审批列表
export function listApproval(query) {
  return request({
    url: '/system/approval/list',
    method: 'get',
    params: query
  })
}

// 查询客户转移审批详细
export function getApproval(id) {
  return request({
    url: '/system/approval/' + id,
    method: 'get'
  })
}

// 新增客户转移审批
export function addApproval(data) {
  return request({
    url: '/system/approval',
    method: 'post',
    data: data
  })
}

// 修改客户转移审批
export function updateApproval(data) {
  return request({
    url: '/system/approval',
    method: 'put',
    data: data
  })
}

// 删除客户转移审批
export function delApproval(id) {
  return request({
    url: '/system/approval/' + id,
    method: 'delete'
  })
}

// 导出客户转移审批
export function exportApproval(query) {
  return request({
    url: '/system/approval/export',
    method: 'get',
    params: query
  })
}